Xcode 6: iOS 8.1 La image de disco del desarrollador no se pudo montar

Sigo recibiendo este error, cada vez que bash ejecutar mi aplicación en mi iPhone, que está ejecutando iOS 8.1.-

La image del disco del desarrollador no se pudo montar.

El iPhone del usuario puede estar ejecutando una versión de iOS que no es compatible con esta versión de Xcode.

Intenté reiniciar mi mac y xcode, pero el problema persiste.

Solutions Collecting From Web of "Xcode 6: iOS 8.1 La image de disco del desarrollador no se pudo montar"

Xcode 6 solo contiene el SDK de iOS 8.0.

Si está ejecutando iOS 8.1 en su teléfono, deberá actualizar a Xcode 6.1 , que contiene el iOS 8.1 SDK.

Descarga la última versión de Xcode desde App Store. Tenía una versión anterior de XCode 6.1 que carecía del 8.1 SDK. La actualización a la última solucionó el problema.

Al reiniciar mi teléfono, me lo aclaró.

Comenzó un día después de actualizar a Xcode 6.1 y el teléfono (4s) a 8.1 funcionó bien para comenzar, luego se detuvo con este post un día después.

Apertura del proyecto en Xcode 6.1, y luego otra vez en 6.0.1, parecía solucionar el problema, ¡si su proyecto no está listo para ser comstackdo en 6.1!

Revisaste la versión base de tus aplicaciones. Si la versión base está configurada en 8 y su dispositivo es 7, es probable que obtenga este error.

y si su versión base, de lo que imagino es 8.1 y su dispositivo no se actualiza a 8.1, tampoco funcionará.

Xcode 6.4 beta no ejecutaría iOS 8.3. Cambiado a Xcode 6.3 solucionó el problema. Y luego, al abrirlo nuevamente en 6.4 beta, funcionaba bien.

Simplemente me topé con esto después de actualizar distraídamente mi teléfono a iOS 8.3. La resolución requirió una actualización a OS X Yosemite (10.10) antes de que pudiera actualizar a una versión de Xcode que admita esa versión de iOS.